Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression.operators
Class BeforeQuery

    java.lang.Object
      com.bea.content.expression.operators.AbstractQueryOperator
          com.bea.content.expression.operators.BeforeQuery

All Implemented Interfaces
  IQueryOperator

    public class BeforeQuery

extends AbstractQueryOperator

Field Summary

Fields inherited from class com.bea.content.expression.operators.AbstractQueryOperator
`criteria, criteriaList, multiplicity, param, textFormatter, userProperty, userPropertyName`

Constructor Summary
`BeforeQuery(FullTextSearch.Parameter parameter, Calendar value)`
`BeforeQuery(String userPropertyField, Calendar value)`
`BeforeQuery(String userPropertyField, Calendar value, FullTextSearch.Multiplicity multiplicity)`

Method Summary
`protected FullTextSearch.Operator` | `getOperator()`

Methods inherited from class com.bea.content.expression.operators.AbstractQueryOperator
`buildAutonomyDateString, buildCriteria, buildCriteria, buildCriteria, buildFTQP, criteriaNullCheck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeforeQuery

    public BeforeQuery(String userPropertyField,
                       Calendar value)
                throws InvalidQueryException

Throws
  `InvalidQueryException`

### BeforeQuery

    public BeforeQuery(String userPropertyField,
                       Calendar value,
                       FullTextSearch.Multiplicity multiplicity)
                throws InvalidQueryException

Throws
  `InvalidQueryException`

### BeforeQuery

    public BeforeQuery(FullTextSearch.Parameter parameter,
                       Calendar value)
                throws InvalidQueryException

Throws
  `InvalidQueryException`

Method Detail

### getOperator

    protected FullTextSearch.Operator getOperator()

  Specified by:
    `getOperator` in class `AbstractQueryOperator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.